Skip to main content

Webhook subscription setup

To setup endpoint and subscribe to webhook events you should execute PATCH /v2/webhook method. The following parameters should be specified in request body:
  • url - the path to the service you’ll receive your webhooks on
  • enable - whether or not webhook send is enabled
  • rateLimit - amount of events per second
  • events - the list of events you subscribe to
The list of available events can be obtained in GET /v2/webhook/event method.
In order to check if everything is configured correctly, execute GET /v2/webhook method.
Any company user can execute the method and configure a webhook for themselves with the required pool of events and with their own url.

Webhook retry

If a webhook delivery attempt fails, the system will automatically try to resend the message at the following time intervals after the initial failure:
  • 5 seconds
  • 5 minutes (300 seconds)
  • 30 minutes (1800 seconds)
  • 2 hours (7200 seconds)
  • 5 hours (18000 seconds)
  • 10 hours (36000 seconds)

Webhook Headers

Each webhook request sent from Finsei includes several HTTP headers that help ensure security, integrity, and traceability of events.
HeaderDescriptionExample
Content-TypeSpecifies the media type of the webhook payload.application/json
User-AgentIdentifies the Finsei webhook service version.Finsei-Webhook/1.0.0 (https://api.finsei.com/doc/webhook.md)
Webhook-IdUnique identifier of the webhook delivery attempt. Useful for idempotency or debugging.0199e36e-30b8-7063-8831-1af941108e25
Webhook-TimestampUNIX timestamp (seconds) when the webhook was created by Finsei.1760457280
Webhook-SignatureHMAC-based signature to verify the authenticity and integrity of the payload.aqpd2Y8elIDUwXcouBeD7bSMEb8ttedxNXif8pWq19Ghiu3rR5JbPV2gNDhNKAm…

Webhook example values

v2.payment.create

v2.payment.update

v2.payment.delete

v3.wallet.create

v3.wallet.update

v2.card.create

v2.card.update

v2.cardLimits.calculate

v2.cardLimits.updated

v2.cardLimits.updateError